OpenMesh::Kernel_OSG::ArrayKernelT< AttribKernel, FinalMeshItems > Class Template Reference
Mesh Kernels

Mesh kernel using arrays for mesh item storage. More...

`#include <OpenMesh/Tools/Kernel_OSG/ArrayKernelT.hh>`

Inheritance diagram for OpenMesh::Kernel_OSG::ArrayKernelT< AttribKernel, FinalMeshItems >:
[legend]
Collaboration diagram for OpenMesh::Kernel_OSG::ArrayKernelT< AttribKernel, FinalMeshItems >:
[legend]

## Public Types

typedef ArrayKernelT< AttribKernel, FinalMeshItems > | This
typedef OpenMesh::ArrayKernelT< AttribKernel, FinalMeshItems > | Base
typedef Base::HasPrevHalfedge | HasPrevHalfedge
typedef FinalMeshItems::Vertex | Vertex
typedef FinalMeshItems::Halfedge | Halfedge
typedef FinalMeshItems::Edge | Edge
typedef FinalMeshItems::Face | Face
typedef FinalMeshItems::Point | Point
typedef FinalMeshItems::Normal | Normal
typedef FinalMeshItems::Color | Color
typedef FinalMeshItems::TexCoord | TexCoord
typedef FinalMeshItems::Scalar | Scalar
typedef std::vector< Vertex > | VertexContainer
typedef std::vector< Edge > | EdgeContainer
typedef std::vector< Face > | FaceContainer
typedef VertexContainer::iterator | KernelVertexIter
typedef VertexContainer::const_iterator | KernelConstVertexIter
typedef EdgeContainer::iterator | KernelEdgeIter
typedef EdgeContainer::const_iterator | KernelConstEdgeIter
typedef FaceContainer::iterator | KernelFaceIter
typedef FaceContainer::const_iterator | KernelConstFaceIter

## Public Member Functions

void | set_halfedge_handle (VertexHandle _vh, HalfedgeHandle _heh)
void | set_halfedge_handle (FaceHandle _fh, HalfedgeHandle _heh)
void | set_next_halfedge_handle (HalfedgeHandle _heh, HalfedgeHandle _nheh)
void | garbage_collection (bool _v=true, bool _e=true, bool _f=true)

## Protected Member Functions

bool | osg_sync (FaceHandle _fh)

## Detailed Description

### template<class AttribKernel, class FinalMeshItems>
class OpenMesh::Kernel_OSG::ArrayKernelT< AttribKernel, FinalMeshItems >

Mesh kernel using arrays for mesh item storage.

This mesh kernel uses the OpenSG GeoProperties as container to store the mesh items.

Note
  You do not have to use this class directly, use the predefined mesh-kernel combinations in Predefined Mesh Types.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/ArrayKernelT.hh